Modify

Opened 4 years ago

Closed 14 months ago

Last modified 9 months ago

#11727 closed enhancement (not_a_bug)

board_bcm963xx: unknown bcm963xx board: 96368_Swiss_S1

Reported by: mario.appinger@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: board support Cc:

Description

referring to #5979
can anyone please add support like in ticket #5979 - sorry but i'm not technical fit enough to do that = o)

HW=ADBPirelli AV4202N VDSL2-Router used by various ISP's in Central Europe

CFE version 1.0.37-102.6 [P3] for BCM96368  (32bit,SP,BE)
Build Date: ven apr  2 12:34:29 CEST 2010 ( marcodl@localhost )
Copyright (C) 2000-2008 Broadcom Corporation.

Parallel flash device: name AM29LV320MT, id 0x2201, size 16384KB
CPU type 0x2A031: 400MHz, Bus: 160MHz, Ref: 64MHz
CPU running TP0
Total memory: 67108864 bytes (64MB)
Boot Address 0xb8000000


Board IP address                  : 192.168.1.1:ffffff00  
Host IP address                   : 192.168.1.100  
Gateway IP address                :   
Run from flash/host (f/h)         : f  
Default host run file name        : vmlinux  
Default host flash file name      : bcm963xx_fs_kernel  
Boot delay (0-9 seconds)          : 1  
Boot image (0=latest, 1=previous) : 0  
Board Id (0-6)                    : 96368_Swiss_S1  
Number of MAC Addresses (1-32)    : 16  
Base MAC Address                  : 02:10:18:01:00:01  
PSI Size (1-64) KBytes            : 24  
Main Thread Number [0|1]          : 0  

*** Press any key to stop auto run (1 seconds) ***
Auto run second count down: 0
Booting BRCM native image (0xb8020000) ...
Code Address: 0x80010000, Entry Address: 0x80010000
LZMA: Prossible old LZMA format, trying to decompress..
 Flash Checksum control skipped ...
Decompression OK!
Entry at 0x80010000
Closing network.
Disabling Switch ports.
Flushing Receive Buffers...
0 buffers found.
Closing DMA Channels.
Starting program at 0x80010000
[    0.000000] Linux version 3.3.8 (openwrt@huchra) (gcc version 4.6.3 201202012
[    0.000000] Detected Broadcom 0x6368 CPU revision b2
[    0.000000] CPU frequency is 400 MHz
[    0.000000] 64MB of RAM installed
[    0.000000] registering 38 GPIOs
[    0.000000] gpiochip_add: registered GPIOs 0 to 37 on device: bcm63xx-gpio
[    0.000000] board_bcm963xx: Boot address 0xb8000000
[    0.000000] board_bcm963xx: CFE version: 1.0.37-102.6
[    0.000000] board_bcm963xx: unknown bcm963xx board: 96368_Swiss_S1
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 0002a031 (Broadcom BMIPS4350)
[    0.000000] Kernel panic - not syncing: unable to detect bcm963xx board

Greets from Vienna
Mario

Attachments (1)

boardparms.c (297.9 KB) - added by anonymous 3 years ago.

Download all attachments as: .zip

Change History (18)

comment:1 Changed 4 years ago by mario.appinger@…

Normal OEM Boot:

CFE version 1.0.37-102.6 [P3] for BCM96368  (32bit,SP,BE)
Build Date: ven apr  2 12:34:29 CEST 2010 ( marcodl@localhost )
Copyright (C) 2000-2008 Broadcom Corporation.

Parallel flash device: name AM29LV320MT, id 0x2201, size 16384KB
CPU type 0x2A031: 400MHz, Bus: 160MHz, Ref: 64MHz
CPU running TP0
Total memory: 67108864 bytes (64MB)
Boot Address 0xb8000000


Board IP address                  : 192.168.1.1:ffffff00  
Host IP address                   : 192.168.1.100  
Gateway IP address                :   
Run from flash/host (f/h)         : f  
Default host run file name        : vmlinux  
Default host flash file name      : bcm963xx_fs_kernel  
Boot delay (0-9 seconds)          : 1  
Boot image (0=latest, 1=previous) : 0  
Board Id (0-6)                    : 96368_Swiss_S1  
Number of MAC Addresses (1-32)    : 16  
Base MAC Address                  : 02:10:18:01:00:01  
PSI Size (1-64) KBytes            : 24  
Main Thread Number [0|1]          : 0  

*** Press any key to stop auto run (1 seconds) ***
Auto run second count down: 0
Trying to boot from  MAIN image  

 - Code Address: 0x80010000, Entry Address: 0x80010000
 - Flash Kernel Address: 0xB8020100
 - Tag->kernelLen: 0x00948360
 - Flash Kernel Address: 0xB8020100
 - Tag Kernel crc : 0x88FBAD83 - calculated: 0x88FBAD83 
 - Decompression Kernel length: 0x0000001C pucSrc: 0xB802010C
LZMA: Prossible old LZMA format, trying to decompress..
Decompression OK!
Entry at 0x80010000

Distribution: BCM96368
Version: PRGAV_SIL_5.0.0.3107

Closing network.
Disabling Switch ports.
Flushing Receive Buffers...
0 buffers found.
Closing DMA Channels.
Starting program at 0x80010000
Uncompressing Linux.............................................................................................k
Booting the kernel
Linux version 2.6.16.26 #4 Mon Nov 15 15:53:19 CET 2010
[ST] 96368_Swiss_S1 prom init
CPU revision is: 0002a031
FLASH_BASE = 0xb8000000
IMAGE_BASE = 0xbfc00000
Determined physical RAM map:
 memory: 03f00000 @ 00000000 (usable)
low=16128 max_dma=4096 high=0
zones_size[ZONE_DMA]=4096
zones_size[ZONE_NORMAL]=12032
Built 1 zonelists
Kernel command line:  console=ttyS0,115200
brcm mips: enabling icache and dcache...
Primary instruction cache 64kB, physically tagged, 4-way, linesize 16 bytes.
Primary data cache 32kB, 2-way, linesize 16 bytes.
Synthesized TLB refill handler (21 instructions).
Synthesized TLB load handler fastpath (33 instructions).
Synthesized TLB store handler fastpath (33 instructions).
Synthesized TLB modify handler fastpath (32 instructions).
PID hash table entries: 256 (order: 8, 4096 bytes)
Using 200.000 MHz high precision timer.
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Allocating memory for DSP module core and initialization code
Allocated DSP module memory - CORE=0x8108b2c0 SIZE=2097152, INIT=0x0 SIZE=0
__bss_start 2158952448
__bss_stop 2159288352
Memory: 50352k/64512k available (2227k kernel code, 14144k reserved, 409k data, 112k init, 0k highmem)
Mount-cache hash table entries: 512
Checking for 'wait' instruction...  available.
NET: Registered protocol family 16
SCSI subsystem initialized
usbcore: registered new driver usbfs
usbcore: registered new driver hub
fs/cramfs_block_uncompressed created
fuse init (API version 7.6)
io scheduler noop registered
io scheduler anticipatory registered (default)
io scheduler deadline registered
io scheduler cfq registered

Random: 0x67ee8af8
loop: loaded (max 8 devices)
PCI: Enabling device 0000:00:0a.0 (0000 -> 0002)
ehci_hcd 0000:00:0a.0: EHCI Host Controller
ehci_hcd 0000:00:0a.0: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:0a.0: irq 15, io mem 0x10001500
ehci_hcd 0000:00:0a.0: USB f.f started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
PCI: Enabling device 0000:00:09.0 (0000 -> 0002)
ohci_hcd 0000:00:09.0: OHCI Host Controller
ohci_hcd 0000:00:09.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:09.0: irq 13, io mem 0x10001600
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
usbcore: registered new driver usblp
/home/marcodl/swisscom/rg/os/linux-2.6/drivers/usb/class/usblp.c: v0.13: USB Printer Device Class driver
Initializing USB Mass Storage driver...
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
usbcore: registered new driver usbserial
/home/marcodl/swisscom/rg/os/linux-2.6/drivers/usb/serial/usb-serial.c: USB Serial support registered for generic
usbcore: registered new driver usbserial_generic
/home/marcodl/swisscom/rg/os/linux-2.6/drivers/usb/serial/usb-serial.c: USB Serial Driver core
/home/marcodl/swisscom/rg/os/linux-2.6/drivers/usb/serial/usb-serial.c: USB Serial support registered for airprie
usbcore: registered new driver airprime
u32 classifier
    OLD policer on 
NET: Registered protocol family 2
IP route cache hash table entries: 512 (order: -1, 2048 bytes)
TCP established hash table entries: 2048 (order: 1, 8192 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
IPv4 over IPv4 tunneling driver
GRE over IPv4 tunneling driver
NET: Registered protocol family 1
NET: Registered protocol family 17
NET: Registered protocol family 8
NET: Registered protocol family 20
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
brcmboard: brcm_board_init entry
 nv->szBoardId: 96368_Swiss_S1 
[SL] BpSetBoardId Got BoardParams OK 96368_Swiss_S1
 [GPS] BpSetBoardId( 96368_Swiss_S1 )
 BpGetPowerOnFailLedGpio -- nret: 0 value 32779 
FLASH_BASE = 0xb8000000
IMAGE_BASE = 0xbfc00000
 -- initLedInfo LED: kLedSrvGreen AllLed_Mask: 04000000- mk: 4000000 mskfl 0 
 -- initLedInfo LED: kLedSrvRed AllLed_Mask: 0C000000- mk: 8000000 mskfl 0 
 -- initLedInfo LED: kLedWireless AllLed_Mask: 0C400000- mk: 400000 mskfl 0 
 -- initLedInfo LED: kLedPower AllLed_Mask: 0C400400- mk: 400 mskfl 0 
 -- initLedInfo LED: kLedPowerFail AllLed_Mask: 0C400C00- mk: 800 mskfl 0 
 -- initLedInfo LED: kLedPhoneGreen AllLed_Mask: 0D400C00- mk: 1000000 mskfl 0 
 -- initLedInfo LED: kLedPhoneRed AllLed_Mask: 0F400C00- mk: 2000000 mskfl 0 
 -- initLedInfo LED: kLedTest0 AllLed_Mask: 0F400C01- mk: 1 mskfl 0 
 -- initLedInfo LED: kLedTest1 AllLed_Mask: 0F400C03- mk: 2 mskfl 0 
boardLedInit:  registering DEV_LEDDRV_DO_REBOOT to sysctl. 
brcmboard: brcm_board_init finished ret=0
bcm963xx_flash: Found 1 x16 devices at 0x0 in 16-bit bank
 Amd/Fujitsu Extended Query Table at 0x0040
bcm963xx_flash: CFI does not contain boot bank location. Assuming top.
number of CFI chips: 1
cfi_cmdset_0002: Disabling erase-suspend-program due to code brokenness.
Creating 1 MTD partitions on "bcm963xx_flash":
0x00000000-0x01000000 : "openrg"
bcm963xx_flash: detected at 0x18000000 size 16777216 bytes
Serial: BCM63XX driver $Revision: 1.1.28.1 $
ttyS0 at MMIO map 0xb0000100 mem 0xb0000100 (irq = 10) is a BCM63XX
ttyS1 at MMIO map 0xb0000120 mem 0xb0000120 (irq = 11) is a BCM63XX
Freeing unused kernel memory: 2108592k freed
klips_info:ipsec_init: KLIPS startup, FreeS/WAN IPSec version: 1.99
NET: Registered protocol family 15
Algorithmics/MIPS FPU Emulator v1.5
Version: 4.8.3.PRGAV_SIL_5.0.0.3107
Platform: Broadcom 96368
Compilation Time: 15-Nov-10 14:50:32
Tag: TSviluppo_Pirelli_4_8_PP68
Compilation Flags: LIC=../jpkg_mipseb.lic CONFIG_CUSTOMER=SILVERSERVER DIST=BCM96368
User Information: marcodl@localhost /home/marcodl/swisscom/rg
insmod: add-symbol-file build/debug/one_module.o 0xc0083000 -s .main_flow 0xc00c2140 -s .data 0xc00cfa30 -s .bss0
Loading license 224c633450c7bad34a894c6daa3f27a841ed7c586a81319ac460f20f49dd55e213d54a96802ea06b1bf6b3c30a8e17d0I
loading license key: PIRELLI
loading license key: PIRELLI
Press ESC to enter BOOT MENU mode.
[SG] mt_rg_last_cwmp_configuration_check, not found any ACTIVE section with conf_type 9
MAPS: 
00400000-00845000 r-xp 00000000 00:08 1401584    /mnt/cramfs/bin/openrg
10000000-100a1000 rw-p 00445000 00:08 1401584    /mnt/cramfs/bin/openrg
100a1000-10203000 rwxp 100a1000 00:00 0          [heap]
2aaa8insmod: add-symbol-file build/debug/log_chardev.o 0xc0003000 -s .data 0xc0003820 -s .bss 0xc0003960
000-2aaae000 r-xp 00000000 00:08 5058808    /mnt/cramfs/lib/ld-uClibc.so.0
2aaae000-2aaaf000 rw-p 2aaae000 00:00 0 
2aaed000-2aaee000 rw-p 00005000 00:08 5058808    /mnt/cramfs/lib/ld-uClibc.so.0
2aaee000-2aafe000 r-xp 00000000 00:08 5835812    /mnt/cramfs/lib/libopenrg.so
2aafe000-2ab3d000 ---p 2aafe000 00:00 0 
2ab3d000insmod: add-symbol-file build/debug/rg_ipsec.o 0xc0005000 -s .data 0xc00051d0 -s .bss 0xc00052f0
-2ab3e000 rw-p 0000f000 00:08 5835812    /mnt/cramfs/lib/libopenrg.so
2ab3e000-2ab7c000 r-xp 00000000 00:08 5627604    /mnt/cramfs/lib/libjutil.so
2ab7c000-2abbb000 ---p 2ab7c000 00:00 0 
2abbb000-2abc1000 rw-p 0003d000 00:08 5627604    /mnt/cramfs/lib/libjutil.so
2abc1000-2abc7000 rw-p 2abc1000 00:00 0 
2abc7000-2abff000 r-xp 00000000 00:08 5986184    /mnt/cramfs/lib/libssl.so
2abff000-2ac3e000 ---p 2abff000 00:00 0 
2ac3e000-2ac42000 rw-p 00037000 00:insmod: add-symbol-file build/debug/ipsec_1des.o 0xc0010000 -s .data 0xc001670
08 5986184    /mnt/cramfs/lib/l
insmod: add-symbol-file build/debug/ipsec_3des.o 0xc0007000 -s .data 0xc000d790 -s .bss 0xc000dbc0
insmod: add-symbol-file build/debug/ipsec_null.o 0xc0018000 -s .data 0xc0018210 -s .bss 0xc00184f0
insmod: add-symbol-file build/debug/ipsec_aes.o 0xc0025000 -s .data 0xc002d6e0 -s .bss 0xc002dac0
insmod: add-symbol-file build/debug/ipsec_sha1.o 0xc002f000 -s .data 0xc00331e0 -s .bss 0xc00334d0
insmod: add-symbol-file build/debug/ipsec_md5.o 0xc001f000 -s .data 0xc0021b50 -s .bss 0xc0021e40
insmod: add-symbol-file build/debug/igmp_proxy_mod.o 0xc0041000 -s .data 0xc0047210 -s .bss 0xc0047330
insmod: add-symbol-file build/debug/rg_usfs.o 0xc0000000 -s .data 0xc0000fe0 -s .bss 0xc0001120
insmod: add-symbol-file build/debug/tcp_mss.o 0xc001d000 -s .data 0xc001d5e0 -s .bss 0xc001d720
insmod: add-symbol-file build/debug/rg_dhcp_pktfil.o 0xc001a000 -s .data 0xc001b090 -s .bss 0xc001b1d0
insmod: add-symbol-file build/debug/rg_auth1x_pktfil.o 0xc0039000 -s .data 0xc003a390 -s .bss 0xc003a4b0
insmod: add-symbol-file build/debug/rg_ipv4.o 0xc0035000 -s .data 0xc0035200 -s .bss 0xc0035340
IPV4 device driver registered
insmod: add-symbol-file build/debug/nb_rt.o 0xc0023000 -s .data 0xc00235c0 -s .bss 0xc0023700
insmod: add-symbol-file build/debug/bcm963xx_eth_mod.o 0xc0053000 -s .data 0xc00577e0 -s .bss 0xc0057930
Broadcom BCM6368B2 Ethernet Network Device v0.1 Oct 18 2010 15:40:16
dgasp: kerSysRegisterDyingGaspHandler: bcmsw registered 
eth0: MAC Address: 00:10:18:63:00:00
eth1: MAC Address: 00:10:18:63:00:00
eth2: MAC Address: 00:10:18:63:00:00
eth3: MAC Address: 00:10:18:63:00:00
insmod: add-symbol-file build/debug/wl.o 0xc039a000 -s .data 0xc055a030 -s .bss 0xc057dbd0
PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
wl: srom not detected, using main memory mapped srom info (wombo board)
wl0: wlc_attach: MAC addr from system pool. id:0x776c0000
wl0: MAC Address: 00:10:18:63:00:01
wl0: Broadcom BCM4322 802.11 Wireless Controller 5.10.85.0.cpe4.402.4
insmod: add-symbol-file build/debug/bcm963xx_xtmrt_mod.o 0xc0064000 -s .data 0xc0069930 -s .bss 0xc0069a70
bcmxtmrt: Broadcom BCM6368B2 ATM/PTM Network Device v0.1 Oct 18 2010 15:41:13
insmod: add-symbol-file build/debug/bcm963xx_xtmcfg_mod.o 0xc0049000 -s .data 0xc0050290 -s .bss 0xc0050640
bcmxtmcfg: bcmxtmcfg_init entry
insmod: add-symbol-file build/debug/bcm96368_adsl_mod.o 0xc0264000 -s .data 0xc035c2d0 -s .bss 0xc035cc10
adsl: adsl_init entry
insmod: add-symbol-file build/debug/dspdd.o 0x8108b2c0 -s .data 0x81159580 -s .bss 0x811f2f70
DSP Driver: DSP init stub
insmod: add-symbol-file build/debug/endpointdd_mod.o 0xc069b000 -s .data 0xc076d730 -s .bss 0xc076e810
Endpoint: endpoint_init entry
BOS: Enter bosInit 
Enter bosAppInit 
Exit bosAppInit 
BOS: Exit bosInit 
Endpoint: endpoint_init COMPLETED
insmod: add-symbol-file build/debug/rtp.o 0xc003c000 -s .data 0xc003ec50 -s .bss 0xc003ed90
insmod: add-symbol-file build/debug/phone_mod.o 0xc005f000 -s .data 0xc00611e0 -s .bss 0xc00613f0
insmod: add-symbol-file build/debug/jtimer.o 0xc0059000 -s .data 0xc0059490 -s .bss 0xc00595d0
insmod: add-symbol-file build/debug/bcm963xx_jdsp_mod.o 0xc005b000 -s .data 0xc005d780 -s .bss 0xc005d9d0
kernel::endpoint_open
kernel::endpoint_open COMPLETED
Enter bosStartApp


bosAppRootTask() - Is it morning already? Spawning app task (epoch #0)...



bosAppRootTask() - Is it morning already? Spawning app task (epoch #0)...

Enter TaskCreate aoAP
TaskCreate - spawn new task aoAP
Exit TaskCreate 
AppResetDetectionEnable() - Enabled reset detection.
Exit bosStartApp
PLL init completed. PLL registers set to:
PCM->pcm_pll_ctrl1       = 0x0080287D 
PCM->pcm_pll_ctrl2       = 0xD0000000 
PCM->pcm_pll_ctrl3       = 0x380005C0 
PCM->pcm_pll_ctrl4       = 0x00000000 
Set up PCM registers
Channel 0 assigned to timeslot 0
Channel 1 assigned to timeslot 1
Channel 2 assigned to timeslot 2
rxDescriptorArea       = 24 
txDescriptorArea       = 24 
Unaligned dmaRxDesc_c  = 0xA0B43000 
Unaligned dmaTxDesc_c  = 0xA02A4000 
rxBufferArea          = 1312 
txBufferArea          = 1312 
Unaligned dmaRxData   = 0xA02A5000 
Unaligned dmaTxData   = 0xA02A6000 
Aligned Tx Desc (0xA02A4000): chan 0, buf 0, sts 0xe000, len 640, bufp 0x2a6000 
Aligned Tx Desc (0xA02A4008): chan 0, buf 1, sts 0x7000, len 640, bufp 0x2a6290 
Aligned Rx Desc (0xA0B43000): chan 0, buf 0, sts 0x8000, len 640, bufp 0x2a5000 
Aligned Rx Desc (0xA0B43008): chan 0, buf 1, sts 0x9000, len 640, bufp 0x2a5290 
initIudma: chan 0, descBase 0xa0b43000, descBaseIudma 0xb43000
initIudma: chan 1, descBase 0xa02a4000, descBaseIudma 0x2a4000
PCM: Interrupt Masks
---------------
IrqMask_high               = 0x00000001 
IrqMask                    = 0x000060A4 
IrqMask1_high              = 0x00000000 
IrqMask1                   = 0x00000000 
PCM_IUDMA->ctrl[0].intMask = 0x00000005 
PCM_IUDMA->ctrl[1].intMask = 0x00000005 

PCM: Interrupt Status
-----------------
IrqStatus_high             = 0x00000000 
IrqStatus                  = 0x00000040 
IrqStatus1_high            = 0x00000000 
IrqStatus1                 = 0x00000040 
PCM_IUDMA->ctrl[0].intStat = 0x00000000 
PCM_IUDMA->ctrl[1].intStat = 0x00000000 
PCM->pcm_pll_ctrl1         = 0x0080287D 
PCM->pcm_pll_ctrl2         = 0xD0000000 
PCM->pcm_pll_ctrl3         = 0x380005C0 
PCM->pcm_pll_ctrl4         = 0x00000000 
PCM->pcm_int_pending       = 0x00000007 
PCM->pcm_int_mask          = 0x00000000 
PCM->pcm_ctrl              = 0xA3B00080 
PCM->pcm_chan_ctrl         = 0x00000707 
PCM_IUDMA->regs.ctrlConfig = 0x00000001 
PCM_IUDMA->ctrl[0].maxBurst                  = 0x00000002 
PCM_IUDMA->ctrl[0].config                    = 0x00000000 
PCM_IUDMA->stram[0].baseDescPointer          = 0x00B43000 
PCM_IUDMA->stram[0].stateBytesDoneRingOffset = 0x00000000 
PCM_IUDMA->stram[0].flagsLengthStatus        = 0x00000000 
PCM_IUDMA->stram[0].currentBufferPointer     = 0x00000000 
PCM_IUDMA->ctrl[1].maxBurst                  = 0x00000002 
PCM_IUDMA->ctrl[1].config                    = 0x00000000 
PCM_IUDMA->stram[1].baseDescPointer          = 0x002A4000 
PCM_IUDMA->stram[1].stateBytesDoneRingOffset = 0x00000000 
PCM_IUDMA->stram[1].flagsLengthStatus        = 0x00000000 
PCM_IUDMA->stram[1].currentBufferPointer     = 0x00000000 
Enter TaskCreate CMT_EXCEPTION_IST
TaskCreate - spawn new task CMT_EXCEPTION_IST
Exit TaskCreate 
regStatus (reg 12 sel 0)    = 0x10008501 
regStatus (reg 12 sel 7)    = 0x00000101 
regCause  (reg 13 sel 0)    = 0x00000000 
regCause  (reg 13 sel 7)    = 0x00808000 
regCMT    (reg 22 sel 0)    = 0xe31e1406 
regCMT    (reg 22 sel 1)    = 0x10008001 
Kicking off secondary thread processor at entry point 0x8108B300...
Secondary thread processor entry point at 0x8108b300
Thread processor handshake. Secondary app initialized properly.
Enter TaskCreate HTSK
TaskCreate - spawn new task HTSK
Exit TaskCreate 
INFO: MSPI POLLING MODE
INFO: IRQ MASK 0x60a4
INFO: IRQ STATUS 0x40
INFO: BLOCK ENABLES 0x4f380
 BpGetSlicType --  value 2 
 BpGetSlicGpio num: 0 gpioType:0-- nret: 0 value f8X 
 BpGetSlicGpio num: 0 gpioType:1-- nret: 2 value ffff8X 
 BpGetSlicGpio num: 1 gpioType:1-- nret: 2 value ffff8X 
SLIC: Initializing 88221 device 0
Vp880InitDevice:637 SLICK PCM CLOCK=3 (1.024MHz)
SLIC: Received VP_DEV_EVID_DEV_INIT_CMP event (i = 56)
SLIC: Found event: pEvent.eventCategory = 2 pEvent.eventId = 1024 
SLIC: 88221 device 0 initialized OK
SLIC: Received VP_LINE_EVID_LINE_INIT_CMP event (i = 0)
SLIC: Found event: pEvent.eventCategory = 2 pEvent.eventId = 2048 
SLIC: Received VP_EVID_CAL_CMP event (i= 149)
SLIC: Found event: pEvent.eventCategory = 2 pEvent.eventId = 64 
SLIC: Received VP_LINE_EVID_LINE_INIT_CMP event (i = 0)
SLIC: Found event: pEvent.eventCategory = 2 pEvent.eventId = 2048 
SLIC: Received VP_EVID_CAL_CMP event (i= 149)
SLIC: Found event: pEvent.eventCategory = 2 pEvent.eventId = 64 
 BpGetDAAType --  value 3 
boardHalInit completed
Enter TaskCreate HRTBEAT
TaskCreate - spawn new task HRTBEAT
Exit TaskCreate 
Created message queue "VRGEVQ", depth 100, id 1
Enter TaskCreate VRGEVPR
TaskCreate - spawn new task VRGEVPR
Exit TaskCreate 
Enter TaskCreate HCAS
TaskCreate - spawn new task HCAS
Exit TaskCreate 
gInterruptCounter     = 0x81159AD8 
gInterruptErrors      = 0x81159ADC 
gNextRxDesc           = 0x81159ACC 
gNextTxDesc           = 0x81159AC8 
*** gStartRxDesc[0] = 0xA0B43000 
*** gBufferSizeBytes = 640 
*** gStartTxDesc[0] = 0xA02A4000 
hal6368PcmInit 311 nextTxDesc = 0xA02A4000 
hal6368PcmInit 311 nextTxDesc = 0xA02A4008 
hal6368PcmInit 315 Ownership for TX desc not set. Use this buffer. 
DSP: Interrupt Masks
---------------
IrqMask_high               = 0x00000001 
IrqMask                    = 0x000060A4 
IrqMask1_high              = 0x40000000 
IrqMask1                   = 0x00000000 
PCM_IUDMA->ctrl[0].intMask = 0x00000005 
PCM_IUDMA->ctrl[1].intMask = 0x00000005 

DSP: Interrupt Status
-----------------
IrqStatus_high             = 0x00000000 
IrqStatus                  = 0x00000040 
IrqStatus1_high            = 0x00000000 
IrqStatus1                 = 0x00000040 
PCM_IUDMA->ctrl[0].intStat = 0x00000000 
PCM_IUDMA->ctrl[1].intStat = 0x00000000 
     ***** rtpInit 66 
     ***** rtpInit 66 
     ***** rtpInit 66 
     ***** rtpInit 66 
Created message queue "PSTN_CTL_EVQ", depth 8, id 2
Enter TaskCreate PSTN
TaskCreate - spawn new task PSTN
Exit TaskCreate 
dgasp: kerSysRegisterDyingGaspHandler: endpoint registered 
Endpoint Event task started...
Endpoint Packet task started
insmod: add-symbol-file build/debug/btn.o 0xc0037000 -s .data 0xc0037800 -s .bss 0xc0037950
insmod: add-symbol-file build/debug/qos_ingress.o 0xc0074000 -s .data 0xc00749f0 -s .bss 0xc0074b40
Freeing CRAMFS/MODFS memory: 2240k freed
Nov 15 14:28:55 640.[677]: sock_socket: created fd 6 for ip 127.0.0.1 port 7016
Using Asterisk version 1.2.4
dev_if_bridge_reconf --> stop_wps, hook 0x0
alg_sip_init called 546 
dev_if_bridge_reconf restore wps & nas & eapd
enabling AN on port 0
enabling AN on port 1
enabling AN on port 2
enabling AN on port 3
device eth0 entered promiscuous mode
device eth1 entered promiscuous mode
device eth2 entered promiscuous mode
device eth3 entered promiscuous mode
BcmAdsl_Initialize=0xC0277E58, g_pFnNotifyCallback=0xC035C464
**** BcmAdslCoreSetConnectionParam:1914 workaround AnnexM disabled
Clocks for QPROC and AFE are being aligned with step through ... 
AFE is aligned, i = 049, PhaseValue = -124, PhaseCntl = 0x7FD00000
QPROC is aligned, i = 030, PhaseValue = 0050, PhaseCntl = 0x7FD0401E
Clocks for QPROC and AFE are aligned with syn_status AFE = 0x78, QPROC = 0x78
AFE  phase control reg @0xb0f570f8 default actual = 0x0021C38F, exp = 0x0021c38f
QPRC phase control reg @0xb0f5f0c0 default actual = 0x0421C38F, exp = 0x0421c38f
pSdramPHY=0xA3FFFFF8, 0xF1F5F0F 0xA71F0F0F
*** PhySdramSize got adjusted: 0xC2B64 => 0xE2588 ***
AdslCoreSharedMemInit: shareMemAvailable=121424
AdslCoreHwReset:  AdslOemDataAddr = 0xA3FAB764
**** BcmAdslCoreSetConnectionParam:1914 workaround AnnexM disabled
ADSL version info: PHY=A2pv6C030h.d22k, Drv=22k
dgasp: kerSysRegisterDyingGaspHandler: dsl0 registered 
@@@ ulReceiveQueueSizes 1000 
 kerSysLedRegisterHwHandler led: 4 
Loading Asterisk (manager): ... done.
 !is_asterisk_up 
 !is_asterisk_up 

END OF OEM BOOT

maybe this helps - in the meanwhile i wrote very ugly the board id directly into the boards file and compiled and bootet with some success...
i attach the openwrt boot-output maybe some wrt-guru's can see a lot of usefull information

buggy openwrt

CFE version 1.0.37-102.6 [P3] for BCM96368  (32bit,SP,BE)
Build Date: ven apr  2 12:34:29 CEST 2010 ( marcodl@localhost )
Copyright (C) 2000-2008 Broadcom Corporation.

Parallel flash device: name AM29LV320MT, id 0x2201, size 16384KB
CPU type 0x2A031: 400MHz, Bus: 160MHz, Ref: 64MHz
CPU running TP0
Total memory: 67108864 bytes (64MB)
Boot Address 0xb8000000


Board IP address                  : 192.168.1.1:ffffff00  
Host IP address                   : 192.168.1.100  
Gateway IP address                :   
Run from flash/host (f/h)         : f  
Default host run file name        : vmlinux  
Default host flash file name      : bcm963xx_fs_kernel  
Boot delay (0-9 seconds)          : 1  
Boot image (0=latest, 1=previous) : 0  
Board Id (0-6)                    : 96368_Swiss_S1  
Number of MAC Addresses (1-32)    : 16  
Base MAC Address                  : 02:10:18:01:00:01  
PSI Size (1-64) KBytes            : 24  
Main Thread Number [0|1]          : 0  

*** Press any key to stop auto run (1 seconds) ***
Auto run second count down: 0
Booting BRCM native image (0xb8020000) ...
Code Address: 0x80010000, Entry Address: 0x80010000
LZMA: Prossible old LZMA format, trying to decompress..
 Flash Checksum control skipped ...
Decompression OK!
Entry at 0x80010000
Closing network.
Disabling Switch ports.
Flushing Receive Buffers...
0 buffers found.
Closing DMA Channels.
Starting program at 0x80010000
[    0.000000] Linux version 3.3.8 (map@map-noapple) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-202
[    0.000000] Detected Broadcom 0x6368 CPU revision b2
[    0.000000] CPU frequency is 400 MHz
[    0.000000] 64MB of RAM installed
[    0.000000] registering 38 GPIOs
[    0.000000] gpiochip_add: registered GPIOs 0 to 37 on device: bcm63xx-gpio
[    0.000000] board_bcm963xx: Boot address 0xb8000000
[    0.000000] board_bcm963xx: CFE version: 1.0.37-102.6
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 0002a031 (Broadcom BMIPS4350)
[    0.000000] board_bcm963xx: board name: 96368_Swiss_S1
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 04000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00004000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00004000
[    0.000000] Reserving 0MB of memory at 0MB for crashkernel
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
[    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[    0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 16 bytes.
[    0.000000] Primary data cache 32kB, 2-way, VIPT, cache aliases, linesize 16 bytes
[    0.000000] Memory: 61904k/65536k available (2218k kernel code, 3632k reserved, 396k data, 196k init, 0k high)
[    0.000000] NR_IRQS:128
[    0.000000] Calibrating delay loop... 397.82 BogoMIPS (lpj=795648)
[    0.032000] pid_max: default: 32768 minimum: 301
[    0.036000] Mount-cache hash table entries: 512
[    0.048000] NET: Registered protocol family 16
[    0.060000] registering PCI controller with io_map_base unset
[    0.072000] bio: create slab <bio-0> at 0
[    0.080000] PCI host bridge to bus 0000:00
[    0.084000] pci_bus 0000:00: root bus resource [mem 0x30000000-0x37ffffff]
[    0.088000] pci_bus 0000:00: root bus resource [io  0x8000000-0x800ffff]
[    0.104000] pci 0000:00:01.0: BAR 0: assigned [mem 0x30000000-0x30003fff]
[    0.108000] Switching to clocksource MIPS
[    0.120000] PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
[    0.148000] ssb: Found chip with id 0x4322, rev 0x01 and package 0x09
[    0.220000] ssb: Sonics Silicon Backplane found on PCI device 0000:00:01.0
[    0.228000] NET: Registered protocol family 2
[    0.232000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.240000] TCP established hash table entries: 2048 (order: 2, 16384 bytes)
[    0.248000] TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
[    0.256000] TCP: Hash tables configured (established 2048 bind 2048)
[    0.260000] TCP reno registered
[    0.264000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.272000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.276000] NET: Registered protocol family 1
[    0.288000] audit: initializing netlink socket (disabled)
[    0.292000] type=2000 audit(0.292:1): initialized
[    0.300000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.304000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.316000] msgmni has been set to 120
[    0.320000] io scheduler noop registered
[    0.324000] io scheduler deadline registered (default)
[    0.332000] bcm63xx_uart.0: ttyS0 at MMIO 0xb0000100 (irq = 10) is a bcm63xx_uart
[    0.340000] console [ttyS0] enabled, bootconsole disabled
[    0.340000] console [ttyS0] enabled, bootconsole disabled
[    0.352000] bcm63xx-trng bcm63xx-trng: registered RNG driver
[    0.364000] physmap platform flash device: 08000000 at 18000000
[    0.368000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000001 Chip ID 0x001
[    0.380000] Amd/Fujitsu Extended Query Table at 0x0040
[    0.388000]   Amd/Fujitsu Extended Query version 1.3.
[    0.392000] number of CFI chips: 1
[    0.396000] bcm63xxpart: CFE boot tag found with version 6 and board type 96368MVWG
[    0.404000] bcm63xxpart: Partition 0 is CFE offset 0 and length 20000
[    0.408000] bcm63xxpart: Partition 1 is kernel offset 20100 and length eff00
[    0.416000] bcm63xxpart: Partition 2 is rootfs offset 110000 and length ed0000
[    0.424000] bcm63xxpart: Partition 3 is nvram offset fe0000 and length 20000
[    0.432000] bcm63xxpart: Partition 4 is linux offset 20000 and length fc0000
[    0.440000] bcm63xxpart: Spare partition is offset 340004 and length c9fffc
[    0.444000] 5 bcm63xxpart partitions found on MTD device physmap-flash.0
[    0.452000] Creating 5 MTD partitions on "physmap-flash.0":
[    0.460000] 0x000000000000-0x000000020000 : "CFE"
[    0.468000] 0x000000020100-0x000000110000 : "kernel"
[    0.472000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an ery
[    0.488000] 0x000000110000-0x000000fe0000 : "rootfs"
[    0.496000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an ery
[    0.512000] mtd: partition "rootfs" set to be root filesystem
[    0.516000] split_squashfs: no squashfs found in "physmap-flash.0"
[    0.524000] 0x000000fe0000-0x000001000000 : "nvram"
[    0.532000] 0x000000020000-0x000000fe0000 : "linux"
[    0.584000] bcm63xx-wdt bcm63xx-wdt:  started, timer margin: 30 sec
[    0.596000] TCP westwood registered
[    0.600000] NET: Registered protocol family 17
[    0.604000] 8021q: 802.1Q VLAN Support v1.8
[    0.608000] jffs2: Flash size not aligned to erasesize, reducing to 15104KiB
[    1.156000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x220000
[    1.164000] jffs2_build_filesystem(): unlocking the mtd device... done.
[    1.172000] jffs2_build_filesystem(): erasing all blocks after the end marker... 
[    1.180000] Erase at 0x00ea0000 failed immediately: -EROFS. Is the sector locked?
[    1.188000] Erase at 0x00e80000 failed immediately: -EROFS. Is the sector locked?
[    1.196000] Erase at 0x00e60000 failed immediately: -EROFS. Is the sector locked?
[    1.204000] Erase at 0x00e40000 failed immediately: -EROFS. Is the sector locked?
[    1.212000] Erase at 0x00e20000 failed immediately: -EROFS. Is the sector locked?
[    1.220000] Erase at 0x00e00000 failed immediately: -EROFS. Is the sector locked?
[    1.228000] Erase at 0x00de0000 failed immediately: -EROFS. Is the sector locked?
[    1.232000] Erase at 0x00dc0000 failed immediately: -EROFS. Is the sector locked?
[    1.240000] Erase at 0x00da0000 failed immediately: -EROFS. Is the sector locked?
[    1.248000] Erase at 0x00d80000 failed immediately: -EROFS. Is the sector locked?
[    1.256000] Erase at 0x00d60000 failed immediately: -EROFS. Is the sector locked?
[    1.264000] Erase at 0x00d40000 failed immediately: -EROFS. Is the sector locked?
[    1.272000] Erase at 0x00d20000 failed immediately: -EROFS. Is the sector locked?
[    1.280000] Erase at 0x00d00000 failed immediately: -EROFS. Is the sector locked?
[    1.288000] Erase at 0x00ce0000 failed immediately: -EROFS. Is the sector locked?
[    1.296000] Erase at 0x00cc0000 failed immediately: -EROFS. Is the sector locked?
[    1.304000] Erase at 0x00ca0000 failed immediately: -EROFS. Is the sector locked?
[    1.312000] Erase at 0x00c80000 failed immediately: -EROFS. Is the sector locked?
[    1.320000] Erase at 0x00c60000 failed immediately: -EROFS. Is the sector locked?
[    1.328000] Erase at 0x00c40000 failed immediately: -EROFS. Is the sector locked?
[    1.336000] Erase at 0x00c20000 failed immediately: -EROFS. Is the sector locked?
[    1.340000] Erase at 0x00c00000 failed immediately: -EROFS. Is the sector locked?
[    1.348000] Erase at 0x00be0000 failed immediately: -EROFS. Is the sector locked?
[    1.356000] Erase at 0x00bc0000 failed immediately: -EROFS. Is the sector locked?
[    1.364000] Erase at 0x00ba0000 failed immediately: -EROFS. Is the sector locked?
[    1.372000] Erase at 0x00b80000 failed immediately: -EROFS. Is the sector locked?
[    1.380000] Erase at 0x00b60000 failed immediately: -EROFS. Is the sector locked?
[    1.388000] Erase at 0x00b40000 failed immediately: -EROFS. Is the sector locked?
[    1.396000] Erase at 0x00b20000 failed immediately: -EROFS. Is the sector locked?
[    1.404000] Erase at 0x00b00000 failed immediately: -EROFS. Is the sector locked?
[    1.412000] Erase at 0x00ae0000 failed immediately: -EROFS. Is the sector locked?
[    1.420000] Erase at 0x00ac0000 failed immediately: -EROFS. Is the sector locked?
[    1.428000] Erase at 0x00aa0000 failed immediately: -EROFS. Is the sector locked?
[    1.436000] Erase at 0x00a80000 failed immediately: -EROFS. Is the sector locked?
[    1.440000] Erase at 0x00a60000 failed immediately: -EROFS. Is the sector locked?
[    1.448000] Erase at 0x00a40000 failed immediately: -EROFS. Is the sector locked?
[    1.456000] Erase at 0x00a20000 failed immediately: -EROFS. Is the sector locked?
[    1.464000] Erase at 0x00a00000 failed immediately: -EROFS. Is the sector locked?
[    1.472000] Erase at 0x009e0000 failed immediately: -EROFS. Is the sector locked?
[    1.480000] Erase at 0x009c0000 failed immediately: -EROFS. Is the sector locked?
[    1.488000] Erase at 0x009a0000 failed immediately: -EROFS. Is the sector locked?
[    1.496000] Erase at 0x00980000 failed immediately: -EROFS. Is the sector locked?
[    1.504000] Erase at 0x00960000 failed immediately: -EROFS. Is the sector locked?
[    1.512000] Erase at 0x00940000 failed immediately: -EROFS. Is the sector locked?
[    1.520000] Erase at 0x00920000 failed immediately: -EROFS. Is the sector locked?
[    1.528000] Erase at 0x00900000 failed immediately: -EROFS. Is the sector locked?
[    1.536000] Erase at 0x008e0000 failed immediately: -EROFS. Is the sector locked?
[    1.544000] Erase at 0x008c0000 failed immediately: -EROFS. Is the sector locked?
[    1.548000] Erase at 0x008a0000 failed immediately: -EROFS. Is the sector locked?
[    1.556000] Erase at 0x00880000 failed immediately: -EROFS. Is the sector locked?
[    1.564000] Erase at 0x00860000 failed immediately: -EROFS. Is the sector locked?
[    1.572000] Erase at 0x00840000 failed immediately: -EROFS. Is the sector locked?
[    1.580000] Erase at 0x00820000 failed immediately: -EROFS. Is the sector locked?
[    1.588000] Erase at 0x00800000 failed immediately: -EROFS. Is the sector locked?
[    1.596000] Erase at 0x007e0000 failed immediately: -EROFS. Is the sector locked?
[    1.604000] Erase at 0x007c0000 failed immediately: -EROFS. Is the sector locked?
[    1.612000] Erase at 0x007a0000 failed immediately: -EROFS. Is the sector locked?
[    1.620000] Erase at 0x00780000 failed immediately: -EROFS. Is the sector locked?
[    1.628000] Erase at 0x00760000 failed immediately: -EROFS. Is the sector locked?
[    1.636000] Erase at 0x00740000 failed immediately: -EROFS. Is the sector locked?
[    1.644000] Erase at 0x00720000 failed immediately: -EROFS. Is the sector locked?
[    1.652000] Erase at 0x00700000 failed immediately: -EROFS. Is the sector locked?
[    1.656000] Erase at 0x006e0000 failed immediately: -EROFS. Is the sector locked?
[    1.664000] Erase at 0x006c0000 failed immediately: -EROFS. Is the sector locked?
[    1.672000] Erase at 0x006a0000 failed immediately: -EROFS. Is the sector locked?
[    1.680000] Erase at 0x00680000 failed immediately: -EROFS. Is the sector locked?
[    1.688000] Erase at 0x00660000 failed immediately: -EROFS. Is the sector locked?
[    1.696000] Erase at 0x00640000 failed immediately: -EROFS. Is the sector locked?
[    1.704000] Erase at 0x00620000 failed immediately: -EROFS. Is the sector locked?
[    1.712000] Erase at 0x00600000 failed immediately: -EROFS. Is the sector locked?
[    1.720000] Erase at 0x005e0000 failed immediately: -EROFS. Is the sector locked?
[    1.728000] Erase at 0x005c0000 failed immediately: -EROFS. Is the sector locked?
[    1.736000] Erase at 0x005a0000 failed immediately: -EROFS. Is the sector locked?
[    1.744000] Erase at 0x00580000 failed immediately: -EROFS. Is the sector locked?
[    1.752000] Erase at 0x00560000 failed immediately: -EROFS. Is the sector locked?
[    1.756000] Erase at 0x00540000 failed immediately: -EROFS. Is the sector locked?
[    1.764000] Erase at 0x00520000 failed immediately: -EROFS. Is the sector locked?
[    1.772000] Erase at 0x00500000 failed immediately: -EROFS. Is the sector locked?
[    1.780000] Erase at 0x004e0000 failed immediately: -EROFS. Is the sector locked?
[    1.788000] Erase at 0x004c0000 failed immediately: -EROFS. Is the sector locked?
[    1.796000] Erase at 0x004a0000 failed immediately: -EROFS. Is the sector locked?
[    1.804000] Erase at 0x00480000 failed immediately: -EROFS. Is the sector locked?
[    1.812000] Erase at 0x00460000 failed immediately: -EROFS. Is the sector locked?
[    1.820000] Erase at 0x00440000 failed immediately: -EROFS. Is the sector locked?
[    1.828000] Erase at 0x00420000 failed immediately: -EROFS. Is the sector locked?
[    1.836000] Erase at 0x00400000 failed immediately: -EROFS. Is the sector locked?
[    1.844000] Erase at 0x003e0000 failed immediately: -EROFS. Is the sector locked?
[    1.852000] Erase at 0x003c0000 failed immediately: -EROFS. Is the sector locked?
[    1.860000] Erase at 0x003a0000 failed immediately: -EROFS. Is the sector locked?
[    1.864000] Erase at 0x00380000 failed immediately: -EROFS. Is the sector locked?
[    1.872000] Erase at 0x00360000 failed immediately: -EROFS. Is the sector locked?
[    1.880000] Erase at 0x00340000 failed immediately: -EROFS. Is the sector locked?
[    1.888000] Erase at 0x00320000 failed immediately: -EROFS. Is the sector locked?
[    1.896000] Erase at 0x00300000 failed immediately: -EROFS. Is the sector locked?
[    1.904000] Erase at 0x002e0000 failed immediately: -EROFS. Is the sector locked?
[    1.912000] Erase at 0x002c0000 failed immediately: -EROFS. Is the sector locked?
[    1.920000] Erase at 0x002a0000 failed immediately: -EROFS. Is the sector locked?
[    1.928000] Erase at 0x00280000 failed immediately: -EROFS. Is the sector locked?
[    1.936000] Erase at 0x00260000 failed immediately: -EROFS. Is the sector locked?
[    1.944000] Erase at 0x00240000 failed immediately: -EROFS. Is the sector locked?
[    1.952000] Erase at 0x00220000 failed immediately: -EROFS. Is the sector locked?
[    1.960000] done.
[    1.964000] JFFS2 notice: (1) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 .
[    1.980000] VFS: Mounted root (jffs2 filesystem) readonly on device 31:2.
[    1.988000] Freeing unused kernel memory: 196k freed
awk: /proc/cpuinfo: No such file or directory
[    4.428000] roboswitch: Probing device eth0: 
[    4.432000] bcm63xx_enet: could not find a used port with phy_id 0, assuming phy is external
[    4.444000] No Robo switch in managed mode found, phy_id = 0xffffffff
[    4.448000] roboswitch: Probing device eth1: No such device
[    4.456000] roboswitch: Probing device eth2: No such device
[    4.460000] roboswitch: Probing device eth3: No such device
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
- init -

Please press Enter to activate this console. [   10.748000] Compat-wireless backport release: compat-wireless-204
[   10.756000] Backport based on wireless-testing.git master-2012-06-14
[   10.760000] compat.git: wireless-testing.git
[   10.956000] cfg80211: Calling CRDA to update world regulatory domain
[   10.960000] cfg80211: World regulatory domain updated:
[   10.968000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   10.976000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   10.984000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   10.992000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   11.000000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   11.008000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   11.184000] There is already a switch registered on the device 'eth0'
[   11.192000] roboswitch: Probing device eth1: No such device
[   11.196000] roboswitch: Probing device eth2: No such device
[   11.204000] roboswitch: Probing device eth3: No such device
[   11.872000] b43-phy0: Broadcom 4322 WLAN found (core revision 16)
[   11.948000] Broadcom 43xx driver loaded [ Features: PNL ]
[   12.020000] Button Hotplug driver version 0.4.1
[   12.172000] PPP generic driver version 2.4.2
[   12.400000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   12.644000] NET: Registered protocol family 24
[   12.724000] nf_conntrack version 0.5.0 (970 buckets, 3880 max)



BusyBox v1.19.4 (2012-06-21 09:58:51 CEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r32474)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/# heal the world with openwrt :-)

greetings from Vienna
Mario

comment:2 Changed 4 years ago by mario.appinger@…

finally i got it booting - have still some problems with the ethernet switch setup and the led/gpio adresses
at the moment i have no idea how i will find out the correct LED Adresses and how to fix the ethernet switch (cannot setup 4 individual Ethernetports), but i will update this when i am ready to create the right patchfiles (for which i really need help to create)

Maybe This Part from the OEM Bootlog will help to find the LED-IO's

 -- initLedInfo LED: kLedSrvGreen AllLed_Mask: 04000000- mk: 4000000 mskfl 0 
 -- initLedInfo LED: kLedSrvRed AllLed_Mask: 0C000000- mk: 8000000 mskfl 0 
 -- initLedInfo LED: kLedWireless AllLed_Mask: 0C400000- mk: 400000 mskfl 0 
 -- initLedInfo LED: kLedPower AllLed_Mask: 0C400400- mk: 400 mskfl 0 
 -- initLedInfo LED: kLedPowerFail AllLed_Mask: 0C400C00- mk: 800 mskfl 0 
 -- initLedInfo LED: kLedPhoneGreen AllLed_Mask: 0D400C00- mk: 1000000 mskfl 0 
 -- initLedInfo LED: kLedPhoneRed AllLed_Mask: 0F400C00- mk: 2000000 mskfl 0 
 -- initLedInfo LED: kLedTest0 AllLed_Mask: 0F400C01- mk: 1 mskfl 0 
 -- initLedInfo LED: kLedTest1 AllLed_Mask: 0F400C03- mk: 2 mskfl 0 

Greets
Mario

comment:3 Changed 4 years ago by johannes

Hello Mario.

Any sucess about openwrt on the pirelli?

greets

Johannes

comment:4 follow-up: Changed 3 years ago by kertase@…

Hi
I have a pirelli board from swisscom (centro grande),
same board number (bcm96368) did you have any success?
greets

Kertase

comment:5 in reply to: ↑ 4 Changed 3 years ago by mario.appinger@…

Hi,

Yes it worked as i wrote, i succeeded finding out what GPIO-LED Adresses to use - but i failed Understanding the Ethernetswitches. You can forget to flash without a Serialadapter and the DSL-Chip will probably never work. There was no single Reaction from the OpenWRT Developers yet ( in special i had also a Problem creating a svn-diff-patch)...after more than 6 Months of Waiting for any Reaction i would say, Mister OpenWRT, please take the Finger out of your Nose...

I still have one Pirelli/ADB 4202N with a Single IP Interface running as a small Webserver but i have lost my SVN-Working Copy and so all my Changes are "unknown".

Greets from Vienna

Mario

comment:6 Changed 3 years ago by kertase@…

Hi again,
Two bcm96368 have already ben add the(96368MVNgr and 96368MVNG) (https://dev.openwrt.org/browser/trunk/target/linux/brcm63xx/patches-3.6/521-bcm63xx-add-support-for-96368MVNgr-board.patch?rev=33936)
Maybe by looking at it you'll know the changes needed for the 96368_Swiss_S1?

Greetings from Geneva

Kertase

comment:7 Changed 3 years ago by kertase@…

by the way flashing the router is pretty easy you have to restart it while pushing reset button
Then you'll have to connect with gateway 192.168.1.1 and your IP address should be set to 192.168.1.2 and subnet mask to 255.255.255.0, sorry for the writing errors in the previous comment

comment:8 Changed 3 years ago by florian

There are no attachments to this ticket that we could potentially use as a starting point to support this board so please send your patches according to: https://dev.openwrt.org/wiki/SubmittingPatches

comment:9 follow-ups: Changed 3 years ago by kertase@…

Ok guys working on this again got GPL source code from the ADB, based on .... OpenWrt Kamikaze (r17087). So I hope i'll make some progress Just have to provide the information needed,

comment:10 Changed 3 years ago by anonymous

You should rather target trunk, we will not accept patches for a board which are targetting Kamikaze.

comment:11 Changed 3 years ago by anonymous

My goal is the main trunk but I'm trying to exploit what ever information I get such as the following file. I found out that the real goal name was 96368VVW, the file containes a lot of ozher boords maybe this is going to help me but I don't think so

The interesting part:

#if defined(_BCM96368_) || defined(CONFIG_BCM96368)

static bp_elem_t g_bcm96368vvw[] = {
  {bp_cpBoardId,               .u.cp = "96368VVW"},
  {bp_ulGpioOverlay,           .u.ul =(BP_OVERLAY_PCI |
                                       BP_OVERLAY_EPHY_LED_0 |
                                       BP_OVERLAY_EPHY_LED_1 |
                                       BP_OVERLAY_EPHY_LED_2 |
                                       BP_OVERLAY_EPHY_LED_3 |
                                       BP_OVERLAY_INET_LED |
                                       BP_OVERLAY_USB_DEVICE |
                                       BP_OVERLAY_USB_LED)},
  {bp_usGpioLedAdsl,           .u.us = BP_GPIO_2_AL},
  {bp_usGpioLedSesWireless,    .u.us = BP_GPIO_24_AL},
  {bp_usGpioLedWanData,        .u.us = BP_GPIO_5_AH},
  {bp_usGpioLedWanError,       .u.us = BP_GPIO_33_AH},
  {bp_usGpioLedBlPowerOn,      .u.us = BP_GPIO_0_AH},
  {bp_usGpioLedBlStop,         .u.us = BP_GPIO_1_AH},
  {bp_usExtIntrResetToDefault, .u.us = BP_EXT_INTR_0},
  {bp_usExtIntrSesBtnWireless, .u.us = BP_EXT_INTR_1},
  {bp_usAntInUseWireless,      .u.us = BP_WLAN_ANT_MAIN},
  {bp_usWirelessFlags,         .u.us = 0},
  {bp_ucPhyType0,              .u.uc = BP_ENET_EXTERNAL_SWITCH},
  {bp_ucPhyAddress,            .u.uc = 0x0},
  {bp_usConfigType,            .u.us = BP_ENET_CONFIG_MMAP},
  {bp_ulPortMap,               .u.ul = 0x0f},
  {bp_ulPhyId0,                .u.ul = 0x01},
  {bp_ulPhyId1,                .u.ul = 0x02},
  {bp_ulPhyId2,                .u.ul = 0x03},
  {bp_ulPhyId3,                .u.ul = 0x04},
  {bp_ulAfeId0,                .u.ul = BP_AFE_CHIP_INT | BP_AFE_LD_ISIL1556 | BP_AFE_FE_ANNEXA | BP_AFE_FE_REV_ISIL_REV1},
  {bp_last}
};

Changed 3 years ago by anonymous

comment:12 Changed 3 years ago by anonymous

I extracted the file system of the original Swisscom firmware (newest version 60212) and uploaded it to mega.co.nz. Hope this helps: https://mega.co.nz/#!k5s0VBZa!Uie8_BUiqQHpwzK6p0pAmUL6Md08-OkZrpuZqODba6g
You can unpack it with 7-Zip 9.20.

The entire original firmware file can be found at: http://rmsdl.bluewin.ch/pirelli/Vx226x1_60212.rmt
Other original firmware files can be downloaded from (unofficial site): ftp://ftp.tuxone.ch/Pirelli/Gen6/

comment:13 in reply to: ↑ 9 Changed 3 years ago by anonymous

Replying to kertase@…:

Ok guys working on this again got GPL source code from the ADB, based on .... OpenWrt Kamikaze (r17087). So I hope i'll make some progress Just have to provide the information needed,


Could you upload the GPL source code somewhere and send the download link to the following email address?
renard-volant[_ãt_]hotmail.com

That would be great. Thanks!

comment:14 Changed 22 months ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:15 Changed 21 months ago by anonymous

Hi everyone,

Any progress on this router?

comment:16 Changed 14 months ago by jogo

  • Resolution set to not_a_bug
  • Status changed from new to closed

Please see http://wiki.openwrt.org/doc/devel/add.new.device and SubmittingPatches on how to submit patches adding new device support.

comment:17 in reply to: ↑ 9 Changed 9 months ago by polo_joe

Replying to kertase@…:

Ok guys working on this again got GPL source code from the ADB, based on .... OpenWrt Kamikaze (r17087). So I hope i'll make some progress Just have to provide the information needed,

I would also be interested in a openwrt port for this router!

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.